const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const ai_chat_messages = sequelize.define(
    'ai_chat_messages',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

sent_at: {
        type: DataTypes.DATE,
      
      

      },

sender: {
        type: DataTypes.ENUM,
      
      

        values: [

"user",


"assistant",


"system"

        ],

      },

content: {
        type: DataTypes.TEXT,
      
      

      },

feedback: {
        type: DataTypes.ENUM,
      
      

        values: [

"none",


"helpful",


"unhelpful"

        ],

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  ai_chat_messages.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.ai_chat_messages.belongsTo(db.ai_chat_threads, {
      as: 'thread',
      foreignKey: {
        name: 'threadId',
      },
      constraints: false,
    });




    db.ai_chat_messages.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.ai_chat_messages.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return ai_chat_messages;
};


